com.google.cloud.dataflow.sdk.runners.inprocess

## Class InProcessPipelineRunner

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.PipelineRunner<InProcessPipelineRunner.InProcessPipelineResult>
  - - com.google.cloud.dataflow.sdk.runners.inprocess.InProcessPipelineRunner

    @Experimental
    public class InProcessPipelineRunner
    extends PipelineRunner<InProcessPipelineRunner.InProcessPipelineResult>

An In-Memory implementation of the Dataflow Programming Model. Supports Unbounded `PCollections`.

### Nested Class Summary

Nested Classes
`static interface` `InProcessPipelineRunner.CommittedBundle<T>` Part of a `PCollection`.
`static class` `InProcessPipelineRunner.InProcessPipelineResult` The result of running a `Pipeline` with the `InProcessPipelineRunner`.
`static interface` `InProcessPipelineRunner.PCollectionViewWriter<ElemT,ViewT>` A `InProcessPipelineRunner.PCollectionViewWriter` is responsible for writing contents of a `PCollection` to a storage mechanism that can be read from while constructing a `PCollectionView`.
`static interface` `InProcessPipelineRunner.UncommittedBundle<T>` Part of a `PCollection`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<OutputT extends POutput,InputT extends PInput> OutputT` `apply(PTransform<InputT,OutputT> transform, InputT input)` Applies a transform to the given input, returning the output.
`static InProcessPipelineRunner` `fromOptions(PipelineOptions options)`
`InProcessPipelineOptions` `getPipelineOptions()` Returns the `PipelineOptions` used to create this `InProcessPipelineRunner`.
`InProcessPipelineRunner.InProcessPipelineResult` `run(Pipeline pipeline)` Processes the given Pipeline, returning the results.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fromOptions

    public static InProcessPipelineRunner fromOptions(PipelineOptions options)

#### getPipelineOptions

    public InProcessPipelineOptions getPipelineOptions()

Returns the `PipelineOptions` used to create this `InProcessPipelineRunner`.

#### apply

    public <OutputT extends POutput,InputT extends PInput> OutputT apply(PTransform<InputT,OutputT> transform,
                                                                         InputT input)

Description copied from class: `PipelineRunner`
Applies a transform to the given input, returning the output.

The default implementation calls PTransform.apply(input), but can be overridden to customize behavior for a particular runner.

Overrides:
  `apply` in class `PipelineRunner<InProcessPipelineRunner.InProcessPipelineResult>`

#### run

    public InProcessPipelineRunner.InProcessPipelineResult run(Pipeline pipeline)

Description copied from class: `PipelineRunner`
Processes the given Pipeline, returning the results.

Specified by:
  `run` in class `PipelineRunner<InProcessPipelineRunner.InProcessPipelineResult>`